Retrieve branding for the current portal
curl --request GET \
--url https://app.myhero.so/published/portal/branding \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/published/portal/branding"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/published/portal/branding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"company": {
"name": "<string>",
"logo": "<string>",
"url": "<string>"
},
"callToAction": {
"icon": {
"name": "<string>",
"color": "<string>"
},
"text": "<string>",
"url": "<string>"
}
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Published
Retrieve branding for the current portal
Returns the company and callToAction branding for the portal resolved from the request host.
Returns null when no branding has been configured.
Stable across page navigations on the same portal.
GET
/
published
/
portal
/
branding
Retrieve branding for the current portal
⌘I